Page MenuHomePhabricator

[lldb] Add support for D programming language
ClosedPublic

Authored by ljmf00 on Sep 27 2021, 1:03 PM.

Details

Summary

This is part of https://github.com/dlang/projects/issues/81 .

This patch enables support for D programming language demangler by using a
pretty printed stacktrace with demangled D symbols, when present.

Signed-off-by: Luís Ferreira <contact@lsferreira.net>

Diff Detail

Event Timeline

ljmf00 requested review of this revision.Sep 27 2021, 1:03 PM
ljmf00 created this revision.
ljmf00 created this object with edit policy "Administrators".
ljmf00 set the repository for this revision to rG LLVM Github Monorepo.
ljmf00 added a project: Restricted Project.
Herald added a project: Restricted Project. · View Herald TranscriptSep 27 2021, 1:04 PM
ljmf00 changed the edit policy from "Administrators" to "All Users".Sep 28 2021, 8:43 AM
This revision is now accepted and ready to land.Sep 28 2021, 8:46 AM
teemperor accepted this revision.Sep 28 2021, 9:01 AM
teemperor added a subscriber: teemperor.

Do you have commit access or should someone land this for you?

lldb/include/lldb/Core/Mangled.h
48

Nit which can be fixed when landing (so no need to update this revision): Could we add a trailing comma here just to keep the (future) git blame a bit cleaner once we get patches that add E, F, G, etc. support.

Do you have commit access or should someone land this for you?

I don't have commit access, although this is a stacked revision, so there are some dependent patches.

Do you have commit access or should someone land this for you?

I don't have commit access, although this is a stacked revision, so there are some dependent patches.

Alright, feel free to ping then if this is ready to land (or maybe ping the person for the dependent patch to land this too). Thanks!

ljmf00 added a subscriber: Geod24.Oct 8 2021, 8:59 AM

@dblaikie Maybe you can land this?

@dblaikie Maybe you can land this?

Nah, might need someone with more lldb context than me - I don't seem to have a clean check-lldb build right now (so don't have a good baseline to validate that the patch doesn't regress anything before I commit) & no idea why... :/

This revision was automatically updated to reflect the committed changes.

I changed the commit name from "Add support for D programming language" to "[lldb] Add support for demangling D symbols" when landing (which is more accurate).